Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Get a message delivery attempt and its bounded transition history.

Get a message delivery attempt and its bounded transition history. An organization-scoped read using JSON filter arguments; requires communications.messages.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/get_notification_delivery
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
attempt_idstringrequired

Opaque Soljio resource ID.

min length 1
Responses
200

Successful read.

dataobject | nullrequired
Show properties
Any of:
null
null
object
attemptobjectrequired
Show properties
attempt_numbernumberrequired
cancellation_requested_atstring<date-time>
channelstringrequired
Show properties
Any of:
string
string
string
string
string
string
completed_atstring<date-time>
component_email_idstring
created_atstring<date-time>required
email_identityobject
Show properties
fromstringrequired
logo_urlstring
namestringrequired
postal_addressstring
reply_to_emailstring
error_codestring
event_idstringrequired

Opaque Soljio resource ID.

min length 1
organization_idstringrequired

Opaque Soljio resource ID.

min length 1
providerstringrequired
Show properties
Any of:
string
string
string
string
string
string
provider_message_idstring
provider_request_idstring
recipient_idstringrequired

Opaque Soljio resource ID.

min length 1
retryableboolean
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
template_sourcestring
Show properties
Any of:
string
string
string
string
template_versionnumber
_idstringrequired

Opaque Soljio resource ID.

min length 1
_creation_timenumberrequired
event_typestring | nullrequired
Show properties
Any of:
string
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
null
null
recipient_addressstring | nullrequired
Show properties
Any of:
string
string
null
null
transitionsobject[]required
Show properties
Array of object
attempt_idstringrequired

Opaque Soljio resource ID.

min length 1
error_codestring
event_idstringrequired

Opaque Soljio resource ID.

min length 1
idempotency_keystringrequired
occurred_atstring<date-time>required
organization_idstringrequired

Opaque Soljio resource ID.

min length 1
previous_statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
providerstringrequired
Show properties
Any of:
string
string
string
string
string
string
provider_message_idstring
received_atstring<date-time>required
recipient_idstringrequired

Opaque Soljio resource ID.

min length 1
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
typestringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
_idstringrequired

Opaque Soljio resource ID.

min length 1
_creation_timenumberrequired
transitions_truncatedbooleanrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/get_notification_delivery' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "attempt_id": "string"
}'
Response
{
  "data": {},
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}

Was this page helpful?